RpcHeaderProtos.RpcRequestHeaderProto.OperationProto (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.ipc.protobuf, class: RpcHeaderProtos, class: RpcRequestHeaderProto, enum: OperationProto

Package org.apache.hadoop.ipc.protobuf

# Enum Class RpcHeaderProtos.RpcRequestHeaderProto.OperationProto

java.lang.Object
java.lang.Enum<RpcHeaderProtos.RpcRequestHeaderProto.OperationProto>
org.apache.hadoop.ipc.protobuf.RpcHeaderProtos.RpcRequestHeaderProto.OperationProto

All Implemented Interfaces:
  `Serializable`, `Comparable<RpcHeaderProtos.RpcRequestHeaderProto.OperationProto>`, `Constable`, `org.apache.hadoop.thirdparty.protobuf.Internal.EnumLite`, `org.apache.hadoop.thirdparty.protobuf.ProtocolMessageEnum`

Enclosing class:
  org.apache.hadoop.ipc.protobuf.RpcHeaderProtos.RpcRequestHeaderProto

public static enum RpcHeaderProtos.RpcRequestHeaderProto.OperationProto extends Enum<RpcHeaderProtos.RpcRequestHeaderProto.OperationProto> implements org.apache.hadoop.thirdparty.protobuf.ProtocolMessageEnum
Protobuf enum `hadoop.common.RpcRequestHeaderProto.OperationProto`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `RPC_CLOSE_CONNECTION`
  close the rpc connection
  `RPC_CONTINUATION_PACKET`
  not implemented yet
  `RPC_FINAL_PACKET`
  The final RPC Packet

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `RPC_CLOSE_CONNECTION_VALUE`
  close the rpc connection
  `static final int`
  `RPC_CONTINUATION_PACKET_VALUE`
  not implemented yet
  `static final int`
  `RPC_FINAL_PACKET_VALUE`
  The final RPC Packet

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RpcHeaderProtos.RpcRequestHeaderProto.OperationProto`
  `forNumber(int value)`
  `static final org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumDescriptor`
  `getDescriptor()`
  `final org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumDescriptor`
  `getDescriptorForType()`
  `final int`
  `getNumber()`
  `final org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumValueDescriptor`
  `getValueDescriptor()`
  `static org.apache.hadoop.thirdparty.protobuf.Internal.EnumLiteMap<RpcHeaderProtos.RpcRequestHeaderProto.OperationProto>`
  `internalGetValueMap()`
  `static RpcHeaderProtos.RpcRequestHeaderProto.OperationProto`
  `valueOf(int value)`
  Deprecated.
  `static RpcHeaderProtos.RpcRequestHeaderProto.OperationProto`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static RpcHeaderProtos.RpcRequestHeaderProto.OperationProto`
  `valueOf(org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumValueDescriptor desc)`
  Returns the enum constant of this class with the specified name.
  `static RpcHeaderProtos.RpcRequestHeaderProto.OperationProto[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### RPC_FINAL_PACKET

    public static final RpcHeaderProtos.RpcRequestHeaderProto.OperationProto RPC_FINAL_PACKET

         The final RPC Packet

    `RPC_FINAL_PACKET = 0;`

  - ### RPC_CONTINUATION_PACKET

    public static final RpcHeaderProtos.RpcRequestHeaderProto.OperationProto RPC_CONTINUATION_PACKET

         not implemented yet

    `RPC_CONTINUATION_PACKET = 1;`

  - ### RPC_CLOSE_CONNECTION

    public static final RpcHeaderProtos.RpcRequestHeaderProto.OperationProto RPC_CLOSE_CONNECTION

         close the rpc connection

    `RPC_CLOSE_CONNECTION = 2;`

- ## Field Details

  - ### RPC_FINAL_PACKET_VALUE

    public static final int RPC_FINAL_PACKET_VALUE

         The final RPC Packet

    `RPC_FINAL_PACKET = 0;`
    See Also:
      - Constant Field Values

  - ### RPC_CONTINUATION_PACKET_VALUE

    public static final int RPC_CONTINUATION_PACKET_VALUE

         not implemented yet

    `RPC_CONTINUATION_PACKET = 1;`
    See Also:
      - Constant Field Values

  - ### RPC_CLOSE_CONNECTION_VALUE

    public static final int RPC_CLOSE_CONNECTION_VALUE

         close the rpc connection

    `RPC_CLOSE_CONNECTION = 2;`
    See Also:
      - Constant Field Values

- ## Method Details

  - ### values

    public static RpcHeaderProtos.RpcRequestHeaderProto.OperationProto[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static RpcHeaderProtos.RpcRequestHeaderProto.OperationProto valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getNumber

    public final int getNumber()
    Specified by:
      `getNumber` in interface `org.apache.hadoop.thirdparty.protobuf.Internal.EnumLite`
    Specified by:
      `getNumber` in interface `org.apache.hadoop.thirdparty.protobuf.ProtocolMessageEnum`

  - ### valueOf

    @Deprecated public static RpcHeaderProtos.RpcRequestHeaderProto.OperationProto valueOf(int value)
    Deprecated.
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `value` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### forNumber

    public static RpcHeaderProtos.RpcRequestHeaderProto.OperationProto forNumber(int value)
    Parameters:
      `value` - The numeric wire value of the corresponding enum entry.
    Returns:
      The enum associated with the given numeric wire value.

  - ### internalGetValueMap

    public static org.apache.hadoop.thirdparty.protobuf.Internal.EnumLiteMap<RpcHeaderProtos.RpcRequestHeaderProto.OperationProto> internalGetValueMap()

  - ### getValueDescriptor

    public final org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()
    Specified by:
      `getValueDescriptor` in interface `org.apache.hadoop.thirdparty.protobuf.ProtocolMessageEnum`

  - ### getDescriptorForType

    public final org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumDescriptor getDescriptorForType()
    Specified by:
      `getDescriptorForType` in interface `org.apache.hadoop.thirdparty.protobuf.ProtocolMessageEnum`

  - ### getDescriptor

    public static final org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumDescriptor getDescriptor()

  - ### valueOf

    public static RpcHeaderProtos.RpcRequestHeaderProto.OperationProto valueOf(org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumValueDescriptor desc)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `desc` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null